Commit: ingadhoc/account-financial-tools-no-auto-install:f2d3ad68
Subject: [13.0] [FIX] account_ux: Set the readonly by states in fields.
Author: Nicolás Mac Rouillon
Committer: Nicolás Mac Rouillon
Commit: ingadhoc/account-payment-no-auto-install:c2418a82
Subject: [13.0] [IMP] account_payment_group: Adapt wizard "massive validation invoices" for pay now validation.
Author: Nicolás Mac Rouillon
Committer: Juan José Scarafía
Commit: ingadhoc/uruguay:19965b20
Subject: [IMP] remove files no longer needed on new runbot
Author: Juan Jose Scarafia
Committer: Juan Jose Scarafia
Commit: odoo:13f17b9b
Subject: [FIX] core/expression: fix distribute_not over thruty leafs
Author: Alvaro Fuentes
Committer: Alvaro Fuentes
Commit: enterprise:4ad0b0da
Subject: [FIX] account_bank_statement_import_camt: journal with other currency
Author: oco-odoo
Committer: Adrien Widart
Version: 13.0
Config: Adhoc Conf (no test)
Total time: 121s

Date Level Type Message
2021-04-05 18:25:43 INFO runbot Init build environment with config Adhoc Conf (no test)
2021-04-05 18:25:43 Starting step base from config Adhoc Conf (no test)
2021-04-05 18:25:43 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-05 18:25:57 INFO server odoo.modules.loading:279 1 modules loaded in 7.31s, 0 queries
2021-04-05 18:26:05 INFO server odoo.modules.loading:279 11 modules loaded in 6.02s, 0 queries
2021-04-05 18:26:09 Step base finished in 26s
2021-04-05 18:26:09 Starting step all_no_test from config Adhoc Conf (no test)
2021-04-05 18:26:09 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-05 18:26:24 INFO server odoo.modules.loading:279 1 modules loaded in 7.07s, 0 queries
2021-04-05 18:27:20 WARNING server odoo.modules.loading:90
Module l10n_uy demo data failed to install, installed without demo data
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/addons/base/models/res_partner.py", line 555, in _load_records_create
    partners = super(Partner, self.with_context(_partners_skip_fields_sync=True))._load_records_create(vals_list)
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-143>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 317, in _model_create_single
    return self.browse().concat(*(create(self, vals) for vals in arg))
  File "/data/build/odoo/odoo/api.py", line 317, in <genexpr>
    return self.browse().concat(*(create(self, vals) for vals in arg))
  File "/data/build/odoo/addons/base_vat/models/res_partner.py", line 502, in create
    return super(ResPartner, self).create(values)
  File "<decorator-gen-131>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 335, in _model_create_multi
    return create(self, [arg])
  File "/data/build/odoo/addons/account/models/partner.py", line 509, in create
    return super().create(vals_list)
  File "<decorator-gen-117>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/addons/partner_autocomplete/models/res_partner.py", line 183, in create
    partners = super(ResPartner, self).create(vals_list)
  File "<decorator-gen-82>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/res_partner.py", line 544, in create
    partners = super(Partner, self).create(vals_list)
  File "<decorator-gen-109>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/addons/mail/models/mail_thread.py", line 269, in create
    threads = super(MailThread, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3810, in create
    records = self._create(data_list)
  File "/data/build/odoo/odoo/models.py", line 3983, in _create
    records._validate_fields(name for data in data_list for name in data['stored'])
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/addons/l10n_latam_base/models/res_partner.py", line 22, in check_vat
    return super(ResPartner, with_vat).check_vat()
  File "/data/build/odoo/addons/base_vat/models/res_partner.py", line 192, in check_vat
    raise ValidationError(msg)
odoo.exceptions.ValidationError: ("\nThe VAT number [218435730016] for partner [1 IEB Internacional] does not seem to be valid. \nNote: the expected format is 'CC##' (CC=Country Code, ##=VAT Number)", None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/loading.py", line 84, in load_demo
    load_data(cr, idref, mode, kind='demo', package=package, report=report)
  File "/data/build/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4168, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/data/build/odoo/odoo/addons/base/models/res_partner.py", line 555, in _load_records_create
    partners = super(Partner, self.with_context(_partners_skip_fields_sync=True))._load_records_create(vals_list)
  File "/data/build/odoo/odoo/models.py", line 4082, in _load_records_create
    return self.create(values)
  File "<decorator-gen-143>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 317, in _model_create_single
    return self.browse().concat(*(create(self, vals) for vals in arg))
  File "/data/build/odoo/odoo/api.py", line 317, in <genexpr>
    return self.browse().concat(*(create(self, vals) for vals in arg))
  File "/data/build/odoo/addons/base_vat/models/res_partner.py", line 502, in create
    return super(ResPartner, self).create(values)
  File "<decorator-gen-131>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 335, in _model_create_multi
    return create(self, [arg])
  File "/data/build/odoo/addons/account/models/partner.py", line 509, in create
    return super().create(vals_list)
  File "<decorator-gen-117>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/addons/partner_autocomplete/models/res_partner.py", line 183, in create
    partners = super(ResPartner, self).create(vals_list)
  File "<decorator-gen-82>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/addons/base/models/res_partner.py", line 544, in create
    partners = super(Partner, self).create(vals_list)
  File "<decorator-gen-109>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/addons/mail/models/mail_thread.py", line 269, in create
    threads = super(MailThread, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/data/build/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
  File "/data/build/odoo/odoo/models.py", line 3810, in create
    records = self._create(data_list)
  File "/data/build/odoo/odoo/models.py", line 3983, in _create
    records._validate_fields(name for data in data_list for name in data['stored'])
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/addons/l10n_latam_base/models/res_partner.py", line 22, in check_vat
    return super(ResPartner, with_vat).check_vat()
  File "/data/build/odoo/addons/base_vat/models/res_partner.py", line 192, in check_vat
    raise ValidationError(msg)
odoo.tools.convert.ParseError: "
The VAT number [218435730016] for partner [1 IEB Internacional] does not seem to be valid. 
Note: the expected format is 'CC##' (CC=Country Code, ##=VAT Number)
None" while parsing /data/build/ingadhoc/uruguay/l10n_uy/demo/res_partner_demo.xml:2, near
<odoo>

    <record model="res.partner" id="partner_company">
        <field name="name">1 IEB Internacional</field>
        <field name="l10n_latam_identification_type_id" ref="it_rut"/>
        <field name="vat">218435730016</field>
    </record>

    <record model="res.partner" id="partner_cfu">
        <field name="name">2 Consumidor Final Uruguayo</field>
    </record>

</odoo>
2021-04-05 18:27:21 INFO server odoo.modules.loading:279 70 modules loaded in 54.72s, 2 queries
2021-04-05 18:27:22 INFO server odoo.modules.loading:279 71 modules loaded in 0.93s, 0 queries
2021-04-05 18:27:30 Step all_no_test finished in 81s
2021-04-05 18:27:30 Starting step setup from config Adhoc Conf (no test)
2021-04-05 18:27:30 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-05 18:27:44 INFO runbot Step setup finished in 14s
2021-04-05 18:27:44 Starting step run from config Adhoc Conf (no test)
2021-04-05 18:27:44 INFO runbot Start running build 01533-13-0
2021-04-05 18:27:44 INFO runbot Using Dockerfile Tag odoo:DockerDefaultadhocv13
2021-04-05 18:27:51 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-04-05 18:27:52 INFO server odoo.modules.loading:279 11 modules loaded in 0.07s, 0 queries
2021-04-07 15:15:58 INFO runbot Kill build 01533-13-0